=== debian/changelog ===
chemps2 (1.8.7-3) unstable; urgency=medium

  * autopkgtest: renamed upstream to libtest,
    added pytest and bintest

 -- Sebastian Wouters <sebastianwouters@gmail.com>  Sat, 19 May 2018 16:01:06 +0200

chemps2 (1.8.7-2) unstable; urgency=medium

  * libchemps2-dev Multi-Arch: no (Closes: #897329)
  * rules: export DEB_BUILD_MAINT_OPTIONS=hardening=+all
  * Bump debhelper to 11
  * Bump Standards-Version to 4.1.4
  * Added autopkgtest (upstream test1)

 -- Sebastian Wouters <sebastianwouters@gmail.com>  Sat, 05 May 2018 19:21:27 +0200

chemps2 (1.8.7-1) unstable; urgency=medium

  * Upstream 1.8.6: Set initial guess to ROHF determinant
  * Added optional arguments to DMRG::DMRG and
    DMRG::setupBookkeeperAndMPS
  * Upstream 1.8.7: Bump up SO version
  * libchemps2-2 becomes libchemps2-3

 -- Sebastian Wouters <sebastianwouters@gmail.com>  Sun, 25 Mar 2018 22:09:14 +0200
