=== debian/control ===
Source: chemps2
Section: libs
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Sebastian Wouters <sebastianwouters@gmail.com>,
           Michael Banck <mbanck@debian.org>
Build-Depends: debhelper (>= 11),
               cmake (>= 3.0.2),
               libblas-dev,
               liblapack-dev,
               libhdf5-dev,
               dh-python,
               python3-all (>= 3.6),
               python3-setuptools,
               python3-docutils,
               python3-sphinx (>= 1.1),
               cython3 (>= 0.19),
               python3-numpy,
               libpython3-dev,
               libjs-mathjax,
               libjs-jquery,
               libjs-underscore
Standards-Version: 4.1.4
Homepage: http://sebwouters.github.io/CheMPS2/index.html
Vcs-Git: https://salsa.debian.org/debichem-team/chemps2.git
Vcs-Browser: https://salsa.debian.org/debichem-team/chemps2

Package: libchemps2-3
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: chemps2-doc
Description: Spin-adapted DMRG for ab initio quantum chemistry
 chemps2 is a scientific library which contains a spin-adapted
 implementation of the density matrix renormalization group (DMRG)
 for ab initio quantum chemistry. This wavefunction method allows one
 to obtain numerical accuracy in active spaces beyond the capabilities
 of full configuration interaction (FCI), and allows one to extract
 the 2-, 3-, and 4-particle reduced density matrices (2-, 3- and 4-RDM)
 of the active space.
 .
 For general active spaces up to 40 electrons in 40 orbitals can be
 handled with DMRG, and for one-dimensional active spaces up to 100
 electrons in 100 orbitals. The 2-RDM of these active spaces can
 also be easily extracted, while the 3- and 4-RDM are limited to
 about 28 orbitals.
 .
 When the active space size becomes prohibitively expensive for FCI,
 DMRG can be used to replace the FCI solver in the complete active
 space self consistent field (CASSCF) method and the corresponding
 complete active space second order perturbation theory (CASPT2).
 The corresponding methods are called DMRG-SCF and DMRG-CASPT2,
 respectively. For DMRG-SCF the active space 2-RDM is required, and
 for DMRG-CASPT2 the active space 4-RDM.

Package: libchemps2-dev
Section: libdevel
Architecture: any
Multi-Arch: no
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libchemps2-3 (= ${binary:Version})
Suggests: chemps2-doc
Description: C++ headers, static library, and symlink for libchemps2-3
 chemps2 is a scientific library which contains a spin-adapted
 implementation of the density matrix renormalization group (DMRG)
 for ab initio quantum chemistry. This wavefunction method allows one
 to obtain numerical accuracy in active spaces beyond the capabilities
 of full configuration interaction (FCI), and allows one to extract
 the 2-, 3-, and 4-particle reduced density matrices (2-, 3- and 4-RDM)
 of the active space.
 .
 For general active spaces up to 40 electrons in 40 orbitals can be
 handled with DMRG, and for one-dimensional active spaces up to 100
 electrons in 100 orbitals. The 2-RDM of these active spaces can
 also be easily extracted, while the 3- and 4-RDM are limited to
 about 28 orbitals.
 .
 When the active space size becomes prohibitively expensive for FCI,
 DMRG can be used to replace the FCI solver in the complete active
 space self consistent field (CASSCF) method and the corresponding
 complete active space second order perturbation theory (CASPT2).
 The corresponding methods are called DMRG-SCF and DMRG-CASPT2,
 respectively. For DMRG-SCF the active space 2-RDM is required, and
 for DMRG-CASPT2 the active space 4-RDM.
 .
 This package installs the C++ headers, static library, and symlink
 for libchemps2.

Package: chemps2-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${sphinxdoc:Depends},
         ${misc:Depends}
Description: Documentation of the libchemps2-3 package
 chemps2 is a scientific library which contains a spin-adapted
 implementation of the density matrix renormalization group (DMRG)
 for ab initio quantum chemistry. This wavefunction method allows one
 to obtain numerical accuracy in active spaces beyond the capabilities
 of full configuration interaction (FCI), and allows one to extract
 the 2-, 3-, and 4-particle reduced density matrices (2-, 3- and 4-RDM)
 of the active space.
 .
 For general active spaces up to 40 electrons in 40 orbitals can be
 handled with DMRG, and for one-dimensional active spaces up to 100
 electrons in 100 orbitals. The 2-RDM of these active spaces can
 also be easily extracted, while the 3- and 4-RDM are limited to
 about 28 orbitals.
 .
 When the active space size becomes prohibitively expensive for FCI,
 DMRG can be used to replace the FCI solver in the complete active
 space self consistent field (CASSCF) method and the corresponding
 complete active space second order perturbation theory (CASPT2).
 The corresponding methods are called DMRG-SCF and DMRG-CASPT2,
 respectively. For DMRG-SCF the active space 2-RDM is required, and
 for DMRG-CASPT2 the active space 4-RDM.
 .
 This is the common documentation package.

Package: chemps2
Section: science
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libchemps2-3 (= ${binary:Version})
Breaks: libchemps2-1 (<< 1.7-1~)
Replaces: libchemps2-1 (<< 1.7-1~)
Suggests: chemps2-doc
Description: Executable to call libchemps2-3 from the command line
 chemps2 is a scientific library which contains a spin-adapted
 implementation of the density matrix renormalization group (DMRG)
 for ab initio quantum chemistry. This wavefunction method allows one
 to obtain numerical accuracy in active spaces beyond the capabilities
 of full configuration interaction (FCI), and allows one to extract
 the 2-, 3-, and 4-particle reduced density matrices (2-, 3- and 4-RDM)
 of the active space.
 .
 For general active spaces up to 40 electrons in 40 orbitals can be
 handled with DMRG, and for one-dimensional active spaces up to 100
 electrons in 100 orbitals. The 2-RDM of these active spaces can
 also be easily extracted, while the 3- and 4-RDM are limited to
 about 28 orbitals.
 .
 When the active space size becomes prohibitively expensive for FCI,
 DMRG can be used to replace the FCI solver in the complete active
 space self consistent field (CASSCF) method and the corresponding
 complete active space second order perturbation theory (CASPT2).
 The corresponding methods are called DMRG-SCF and DMRG-CASPT2,
 respectively. For DMRG-SCF the active space 2-RDM is required, and
 for DMRG-CASPT2 the active space 4-RDM.
 .
 This package installs the executable which parses Hamiltonians in
 fcidump format, performs DMRG-SCF and DMRG-CASPT2 calculations as
 specified by the user.

Package: python3-chemps2
Section: python
Architecture: any
Multi-Arch: same
Depends: ${python3:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         libchemps2-3 (= ${binary:Version})
Suggests: chemps2-doc
Description: Python 3 interface for libchemps2-3
 chemps2 is a scientific library which contains a spin-adapted
 implementation of the density matrix renormalization group (DMRG)
 for ab initio quantum chemistry. This wavefunction method allows one
 to obtain numerical accuracy in active spaces beyond the capabilities
 of full configuration interaction (FCI), and allows one to extract
 the 2-, 3-, and 4-particle reduced density matrices (2-, 3- and 4-RDM)
 of the active space.
 .
 For general active spaces up to 40 electrons in 40 orbitals can be
 handled with DMRG, and for one-dimensional active spaces up to 100
 electrons in 100 orbitals. The 2-RDM of these active spaces can
 also be easily extracted, while the 3- and 4-RDM are limited to
 about 28 orbitals.
 .
 When the active space size becomes prohibitively expensive for FCI,
 DMRG can be used to replace the FCI solver in the complete active
 space self consistent field (CASSCF) method and the corresponding
 complete active space second order perturbation theory (CASPT2).
 The corresponding methods are called DMRG-SCF and DMRG-CASPT2,
 respectively. For DMRG-SCF the active space 2-RDM is required, and
 for DMRG-CASPT2 the active space 4-RDM.
 .
 This package installs the library for Python 3.
