=== debian/changelog ===
chemps2 (1.8.8-1build1) disco; urgency=medium

  * No-change rebuild to build for python3.7 as the default.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 31 Oct 2018 12:34:27 +0000

chemps2 (1.8.8-1) unstable; urgency=medium

  * Upstream 1.8.8: Print number of MPS variables

 -- Sebastian Wouters <sebastianwouters@gmail.com>  Fri, 05 Oct 2018 13:50:59 +0000
