=== debian/changelog ===
chemps2 (1.8.9-1build3) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:11:20 +0100

chemps2 (1.8.9-1build2) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Jan 2020 04:30:49 +0000

chemps2 (1.8.9-1build1) disco; urgency=medium

  * Rebuild against new libhdf5-103.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 12 Dec 2018 11:20:11 +0100

chemps2 (1.8.9-1) unstable; urgency=medium

  * Upstream 1.8.9: Bug fix long double literals in Wigner.cpp

 -- Sebastian Wouters <sebastianwouters@gmail.com>  Fri, 16 Nov 2018 11:29:15 +0000
