=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                libjs-mathjax,
                libjs-jquery,
                libjs-underscore
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Homepage: http://sebwouters.github.io/CheMPS2/index.html
 Vcs-Git: https://salsa.debian.org/debichem-team/chemps2.git
 Vcs-Browser: https://salsa.debian.org/debichem-team/chemps2
