=== debian/changelog ===
chemps2 (1.8.10-1) unstable; urgency=medium

  * New upstream release.

  [ Helmut Grohne ]
  * Reduce Build-Depends: build sphinx during indep build only. (Closes:
    #983221).

 -- Michael Banck <mbanck@debian.org>  Sun, 21 Feb 2021 12:21:35 +0100
