=== debian/rules ===
--- 
+++ 
@@ -17,12 +17,13 @@
 #	echo "DEB_HOST_GNU_TYPE  = ${DEB_HOST_GNU_TYPE}"
 	dh_auto_configure -- -DCMAKE_INSTALL_LIBDIR=lib/${DEB_HOST_MULTIARCH} \
                              -DENABLE_XHOST=OFF \
-                             -DBUILD_SPHINX=ON \
+                             -DBUILD_SPHINX=$(if $(filter chemps2-doc,$(shell dh_listpackages)),ON,OFF) \
                              -DHDF5_INCLUDE_DIRS=/usr/include/hdf5/serial \
                              -DCMAKE_BUILD_TYPE=release
 
 override_dh_auto_build:
 	dh_auto_build -- VERBOSE=1
+execute_after_dh_auto_build-indep:
 	# https://wiki.debian.org/Python/LibraryStyleGuide: info on sphinx-build
 	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -b html \
                                                            -c obj-${DEB_HOST_GNU_TYPE}/sphinx/ \
@@ -34,6 +35,7 @@
 	cd build-sphinx/html && sed -i "s/_static\/jquery.js/\/usr\/share\/javascript\/jquery\/jquery.js/" *.html
 	cd build-sphinx/html && sed -i "s/_static\/underscore.js/\/usr\/share\/javascript\/underscore\/underscore.js/" *.html
 	cd build-sphinx/html/_static && rm jquery*.js underscore*.js
+execute_after_dh_auto_build-arch:
 	cd PyCheMPS2 && CPATH=../CheMPS2/include:/usr/include/hdf5/serial python3 setup.py build_ext -L ../obj-${DEB_HOST_GNU_TYPE}/CheMPS2
 
 override_dh_auto_install:
