=== debian/changelog ===
chemps2 (1.8.11-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 as default version

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 13 Jan 2022 19:08:51 +0000

chemps2 (1.8.11-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/relax_hdf5_cmake_version_requirement.patch: Dropped patch,
    applied upstream. 

 -- Michael Banck <mbanck@debian.org>  Tue, 11 Jan 2022 10:04:54 +0100

chemps2 (1.8.10-3) unstable; urgency=medium

  * debian/watch: Updated.
  * debian/patches/relax_hdf5_cmake_version_requirement.patch: New patch,
    removes the EXACT HDF5 library version requirement from the chemps2 CMake
    file.

 -- Michael Banck <mbanck@debian.org>  Sat, 08 Jan 2022 22:29:02 +0100

chemps2 (1.8.10-2) unstable; urgency=medium

  * debian/rules (override_dh_auto_build): Build python extension during both
    arch-all and arch-any builds.
  * debian/libchemps2-3.symbols: Updated. 

 -- Michael Banck <mbanck@debian.org>  Mon, 22 Feb 2021 09:03:12 +0100
