=== debian/control ===
--- 
+++ 
@@ -13,13 +13,13 @@
                python3-all (>= 3.6),
                python3-setuptools,
                python3-docutils,
-               python3-sphinx (>= 1.1),
                cython3 (>= 0.19),
                python3-numpy,
                libpython3-dev,
-               libjs-mathjax,
-               libjs-jquery,
-               libjs-underscore
+Build-Depends-Indep: python3-sphinx (>= 1.1),
+                     libjs-mathjax,
+                     libjs-jquery,
+                     libjs-underscore
 Standards-Version: 4.2.1
 Homepage: http://sebwouters.github.io/CheMPS2/index.html
 Vcs-Git: https://salsa.debian.org/debichem-team/chemps2.git
