=== debian/rules ===
--- 
+++ 
@@ -23,6 +23,7 @@
 
 override_dh_auto_build:
 	dh_auto_build -- VERBOSE=1
+	cd PyCheMPS2 && CPATH=../CheMPS2/include:/usr/include/hdf5/serial python3 setup.py build_ext -L ../obj-${DEB_HOST_GNU_TYPE}/CheMPS2
 execute_after_dh_auto_build-indep:
 	# https://wiki.debian.org/Python/LibraryStyleGuide: info on sphinx-build
 	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -b html \
@@ -35,8 +36,6 @@
 	cd build-sphinx/html && sed -i "s/_static\/jquery.js/\/usr\/share\/javascript\/jquery\/jquery.js/" *.html
 	cd build-sphinx/html && sed -i "s/_static\/underscore.js/\/usr\/share\/javascript\/underscore\/underscore.js/" *.html
 	cd build-sphinx/html/_static && rm jquery*.js underscore*.js
-execute_after_dh_auto_build-arch:
-	cd PyCheMPS2 && CPATH=../CheMPS2/include:/usr/include/hdf5/serial python3 setup.py build_ext -L ../obj-${DEB_HOST_GNU_TYPE}/CheMPS2
 
 override_dh_auto_install:
 	dh_auto_install
