=== debian/changelog ===
chemps2 (1.8.12-4) unstable; urgency=medium

  * Acknowledge NMU.
  * debian/control (Build-Depends): Switch back from cython3-legacy to cython3
    (Closes: #1092786). 

 -- Michael Banck <mbanck@debian.org>  Sun, 16 Mar 2025 14:28:37 +0100

chemps2 (1.8.12-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062055

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 15:31:17 +0000

chemps2 (1.8.12-3) unstable; urgency=medium

  * Team upload.
  * Switch to cython3-legacy.
    Closes: #1056794
  * Do not fail to remove *.js files
    Closes: #1042629
  * Fix clean target
    Closes: #1044004
  * Standards-Version: 4.6.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Update watch file format version to 4.
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository.
  * Remove obsolete field Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).
  * Rely on pre-initialized dpkg-architecture variables.

 -- Andreas Tille <tille@debian.org>  Tue, 16 Jan 2024 08:45:40 +0100

chemps2 (1.8.12-2) UNRELEASED; urgency=medium

  [ Debichem Team ]

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on cmake, cython3 and
      python3-all.
    + Build-Depends-Indep: Drop versioned constraint on python3-sphinx.

 -- Debichem Team <debichem-devel@lists.alioth.debian.org>  Sun, 03 Jul 2022 15:27:03 +0200

chemps2 (1.8.12-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Banck <mbanck@debian.org>  Sun, 03 Jul 2022 15:26:42 +0200
