=== debian/control ===
--- 
+++ 
@@ -4,28 +4,32 @@
 Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
 Uploaders: Sebastian Wouters <sebastianwouters@gmail.com>,
            Michael Banck <mbanck@debian.org>
-Build-Depends: debhelper (>= 11),
-               cmake (>= 3.0.2),
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
+               cmake,
+               cython3,
                libblas-dev,
                liblapack-dev,
                libhdf5-dev,
-               dh-python,
-               python3-all (>= 3.6),
+               dh-sequence-python3,
+               python3-all,
                python3-setuptools,
                python3-docutils,
-               cython3 (>= 0.19),
                python3-numpy,
                libpython3-dev,
-Build-Depends-Indep: python3-sphinx (>= 1.1),
+Build-Depends-Indep: python3-sphinx,
                      libjs-mathjax,
                      libjs-jquery,
                      libjs-underscore
-Standards-Version: 4.2.1
-Homepage: http://sebwouters.github.io/CheMPS2/index.html
+Standards-Version: 4.6.2
+Homepage: https://sebwouters.github.io/CheMPS2/index.html
+Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debichem-team/chemps2.git
 Vcs-Browser: https://salsa.debian.org/debichem-team/chemps2
 
-Package: libchemps2-3
+Package: libchemps2-3t64
+Provides: ${t64:Provides}
+Replaces: libchemps2-3
+Breaks: libchemps2-3 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends},
@@ -57,12 +61,11 @@
 Package: libchemps2-dev
 Section: libdevel
 Architecture: any
-Multi-Arch: no
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         libchemps2-3 (= ${binary:Version})
+         libchemps2-3t64 (= ${binary:Version})
 Suggests: chemps2-doc
-Description: C++ headers, static library, and symlink for libchemps2-3
+Description: C++ headers, static library, and symlink for libchemps2-3t64
  chemps2 is a scientific library which contains a spin-adapted
  implementation of the density matrix renormalization group (DMRG)
  for ab initio quantum chemistry. This wavefunction method allows one
@@ -94,7 +97,7 @@
 Multi-Arch: foreign
 Depends: ${sphinxdoc:Depends},
          ${misc:Depends}
-Description: Documentation of the libchemps2-3 package
+Description: Documentation of the libchemps2-3t64 package
  chemps2 is a scientific library which contains a spin-adapted
  implementation of the density matrix renormalization group (DMRG)
  for ab initio quantum chemistry. This wavefunction method allows one
@@ -124,11 +127,11 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         libchemps2-3 (= ${binary:Version})
+         libchemps2-3t64 (= ${binary:Version})
 Breaks: libchemps2-1 (<< 1.7-1~)
 Replaces: libchemps2-1 (<< 1.7-1~)
 Suggests: chemps2-doc
-Description: Executable to call libchemps2-3 from the command line
+Description: Executable to call libchemps2-3t64 from the command line
  chemps2 is a scientific library which contains a spin-adapted
  implementation of the density matrix renormalization group (DMRG)
  for ab initio quantum chemistry. This wavefunction method allows one
@@ -162,9 +165,9 @@
 Depends: ${python3:Depends},
          ${shlibs:Depends},
          ${misc:Depends},
-         libchemps2-3 (= ${binary:Version})
+         libchemps2-3t64 (= ${binary:Version})
 Suggests: chemps2-doc
-Description: Python 3 interface for libchemps2-3
+Description: Python 3 interface for libchemps2-3t64
  chemps2 is a scientific library which contains a spin-adapted
  implementation of the density matrix renormalization group (DMRG)
  for ab initio quantum chemistry. This wavefunction method allows one
@@ -188,4 +191,3 @@
  for DMRG-CASPT2 the active space 4-RDM.
  .
  This package installs the library for Python 3.
-
