=== debian/rules ===
--- 
+++ 
@@ -4,9 +4,8 @@
 # Uncomment this to turn on verbose mode.
 # export DH_VERBOSE=1
 
-DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+include /usr/share/dpkg/architecture.mk
 # Cfr. https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=773266
-DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 DEB_BUILD_OPTIONS += partialcheck
 
@@ -35,7 +34,7 @@
 	# Solving the complaints from lintian about jquery.js & underscore.js
 	cd build-sphinx/html && sed -i "s/_static\/jquery.js/\/usr\/share\/javascript\/jquery\/jquery.js/" *.html
 	cd build-sphinx/html && sed -i "s/_static\/underscore.js/\/usr\/share\/javascript\/underscore\/underscore.js/" *.html
-	cd build-sphinx/html/_static && rm jquery*.js underscore*.js
+	cd build-sphinx/html/_static && rm -f jquery*.js underscore*.js
 
 override_dh_auto_install:
 	dh_auto_install
@@ -67,7 +66,7 @@
 
 override_dh_clean:
 	dh_clean
-	rm -rf build-sphinx PyCheMPS2/build PyCheMPS2/PyCheMPS2.cpp PyCheMPS2/*.pyc
+	rm -rf build-sphinx PyCheMPS2/build PyCheMPS2/PyCheMPS2.cpp PyCheMPS2/*.pyc PyCheMPS2/CheMPS2.egg-info
 
 %:
-	dh $@ --with python3
+	dh $@
