=== debian/watch ===
version=4
https://github.com/SebWouters/CheMPS2/tags .*/refs/tags/v([\d.]+)\.tar\.gz
